Skip to main content
GET
/
v1
/
connection-data-source
/
{connectionDataSourceId}
Read Connection Data Source
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "connectionId": "<string>",
  "tableId": "<string>",
  "schema": {
    "columns": [
      {
        "name": "<string>",
        "columnType": "STRING",
        "nullable": true
      }
    ]
  },
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connectionDataSourceId
string
required

Response

200 - application/json

OK

version
integer<int64>
required

Data integrity version to ensure data consistency.

connectionId
string
required

The ID of the Connection this data source belongs to.

tableId
string
required

The identifier of the table within the external connection.

schema
Tabular Schema · object
required

The schema describing the columns of the table.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.